# didi

Didi is an collection of capistrano recipes that enables automated deployment and continuous integration of drupal websites. Once you have configured different hosting environments you can use the "didi" command to interact with them.

## What can didi do you for?

* update a hosting environment of your choice with the latest code
* perform drush commands for maintenance
* revert features via drush after code updates
* restore a remote database to your local development machine
* setup a drupal website from scratch on a new webserver
* run simpletests with Jenkins

## Contributing to didi
 
* Check out the latest master to make sure the feature hasn't been implemented or the bug hasn't been fixed yet
* Check out the issue tracker to make sure someone already hasn't requested it and/or contributed it
* Fork the project
* Start a feature/bugfix branch
* Commit and push until you are happy with your contribution
* Make sure to add tests for it. This is important so I don't break it in a future version unintentionally.
* Please try not to mess with the Rakefile, version, or history. If you want to have your own version, or is otherwise necessary, that is fine, but please isolate to its own commit so I can cherry-pick around it.

## Copyright

Copyright (c) Koen Van Winckel. See LICENSE.txt for further details.
